# config/packages/knpu_oauth2_client.yaml
knpu_oauth2_client:
  clients:
    # the key "facebook_main" can be anything, it
    # will create a service: "knpu.oauth2.client.facebook_main"
    keycloak_main:
      # this will be one of the supported types
      type: keycloak
      client_id: '%env(OAUTH_KEYCLOAK_ID)%'
      client_secret: '%env(OAUTH_KEYCLOAK_SECRET)%'
      # the route that you're redirected to after
      # see the controller example below
      redirect_route: connect_keycloak_check
      redirect_params: {}
      auth_server_url: http://localhost:8080
      realm: localdev
